//
// Created by slinky on 5/11/26.
//

#ifndef B_ENGINE_UIMENUBAR_H
#define B_ENGINE_UIMENUBAR_H

#include "IUIPanel.h"

class UIMenuBar : public IUIPanel {
public:
    void update(EditorContext &context) override;

    std::function<void(entt::entity)> create_entity;
};


#endif //B_ENGINE_UIMENUBAR_H
